\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath, pictexwd, mathrsfs, ../yomcat, ../diagrams}

\pagestyle{empty}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}
\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 437 \hfill
Assignment 2 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}
	\item \begin{enumerate}
		\item $0 = \sum 0f_i \in \ideal{\vect{f}{s}}$. \\
		Let $g, h \in \ideal{\vect{f}{s}}$. Then $g = \sum \alpha_if_i$ and $h = \sum \beta_if_i$ for some $\alpha_i,\ \beta_i \in k$. Then \begin{align*}
			g + h &=  \sum \alpha_if_i + \sum \beta_if_i \\
			&= \sum (\alpha_if_i + \beta_if_i) \\
			&= \sum (\alpha_i\beta_i)f_i  \\
			&\in \ideal{\vect{f}{s}}
		\end{align*} \\
		Let $g \in \ideal{\vect{f}{s}}$. Then $g = \sum \gamma_if_i$ for some $\gamma_i \in k$. Let $\delta \in k$. Then \begin{align*}
			\delta g &= \delta \sum \gamma_if_i \\
			&= \sum \delta (\gamma_if_i) \\
			&= \sum (\delta\gamma_i)f_i \\
			&\in \ideal{\vect{f}{s}}
		\end{align*}
		Therefore \ideal{\vect{f}{s}} is an ideal. \pend
		\item Let $V = {\bf V}(\vect{f}{s})$. Then $0 \in {\bf I}(V)$ as $0(\vect{a}{n}) = 0$ for all $(\vect{a}{n}) \in k^n$. \\
		Let $g, h \in {\bf I}(V)$ and let $(\vect{\nu}{n}) \in V$. Then $g(\vect{\nu}{n}) + h(\vect{\nu}{n}) = 0 + 0 = 0$. \\
		Furthermore, let $p \in k[\vect{x}{n}]$. Then $p(\vect{\nu}{n})g(\vect{\nu}{n}) = p(\vect{\nu}{n}) \cdot 0 = 0$. \\
		Therefore ${\bf I}({\bf V}(\vect{f}{s}))$ is an ideal. \pend
	\end{enumerate}
	\item Let $g \in \ideal{\vect{f}{s}}$. Then $g = \sum \alpha_if_i$. Let (\vect{a}{n}) be an arbitrary element of ${\bf V}(\vect{f}{s})$. Then $f_i(\vect{a}{n}) = 0$ for all $f_i$, so $g = \sum \alpha_i \cdot 0 = 0$. Therefore $g \in {\bf I}({\bf V}(\vect{f}{s}))$ and so $\ideal{\vect{f}{s}} \subseteq {\bf I}({\bf V}(\vect{f}{s}))$. \pend
	\item \begin{enumerate}
		\item Let $h \in \ideal{\vect{f}{s}}$. As $\ideal{\vect{f}{s}} = \ideal{\vect{g}{t}}$, $h \in \ideal{\vect{g}{t}}$. So $h = \sum \alpha_if_i = \sum \beta_jg_j$. Then if ${\bf a} \in {\bf V}(\vect{f}{s})$, $h({\bf a}) = 0$. So $\sum \beta_jg_j({\bf a}) = 0$. Therefore ${\bf a} \in {\bf V}(\vect{g}{t})$ and so ${\bf V}(\vect{g}{t}) \subseteq {\bf V}(\vect{f}{s})$. \\
		The argument for the converse is essentially identical, and leads to ${\bf V}(\vect{g}{t}) \supseteq {\bf V}(\vect{f}{s})$. \\
		Therefore ${\bf V}(\vect{g}{t}) = {\bf V}(\vect{f}{s})$. \pend
		\item Let $f \in \ideal{x + xy, y + xy, x^2, y^2}$. Then \begin{align*}
			f &= \alpha(x + xy) + \beta(y + xy) + \gamma(x^2) + \delta(y^2) \\
			&= \alpha x + \alpha xy + \beta y + \beta xy + \gamma x^2 + \delta y^2 \\
			&= x(\alpha + \gamma x + \beta y) + y(\beta + \delta y + \alpha x) \\
			&\in \ideal{x, y}
		\end{align*}
		So, by the previous result, $\V (x + xy, y + xy, x^2, y^2) = \V (x, y)$.
	\end{enumerate}
	\item $\ideal{\vect{x}{n}} = \{\sum h_if_i | h_i \in k{\vect{x}{n}}\}$. As $f \notin \ideal{\vect{x}{n}}$, but $f \in k[\vect{x}{n}]$, $\ideal{\vect{x}{n}, f} \subseteq k[\vect{x}{n}]$. \\
	Now let $h \in k[\vect{x}{n}]$. Then $h = \sum \alpha_\beta x^\beta$. $h$ can also be written in the form $\alpha_\gamma x^\gamma f$, which $\gamma$ is big enough to ensure that each monomial in $h$ has the correct degree. Therefore $h \in \ideal{\vect{x}{n}, f}$ and so $k[\vect{x}{n}] \subseteq \ideal{\vect{x}{n}, f}$. \\
	These two facts combined give $k[\vect{x}{n}] = \ideal{\vect{x}{n}, f}$. \pend
	\item \begin{enumerate}
		\item Replacing $y^2 - xz$ with it's parametrisation, one gets $(t^2)^2 - tt^3 = t^4 - t^4 = 0$. Therefore $y^2 - xz \in\I(\V(f_1, f_2))$.
		\item If $y^2 - xz \in \ideal{f_1, f_2}$, then $y^2 - xz = \alpha f_1 + \beta f_2$, for some $\alpha, \beta \in \mbb{R}[x,y,z]$. Let $\alpha = y + x^2$ and $\beta = -x$. Then \begin{align*}
			\alpha f_1 + \beta f_2 &= (y + x^2)(y - x^2) + -x(z - x^3) \\
			&= y^2 - x^4 - xz + x^4 \\
			&= y^2 - xz
		\end{align*} 
		Therefore $y^2 - xz \in \ideal{f_1, f_2}$.
	\end{enumerate}
	\item \begin{enumerate}
		\item The two polynomials $x^3 - y^2$ and $z^3 - y^4$ will vanish if and only if $(x, y, z) = (t^2, t^3, t^4)$.
		\item $\I(W) = \{ f \in \mbb{R}[x, y, z] | \forall {\bf a} \in W,\ f({\bf a}) = 0 \}.$ Let $g \in \I(W)$. Then $g(t^2, t^3, t^4) = 0$, so $g = \alpha(x^3 - y^2) + \beta(z^3 - y^4)$, and so $\I(W)$ is indeed the same as \ideal{x^3 - y^2, z^3 - y^4}.
	\end{enumerate}
	\item Suppose that every ideal in $k[\vect{x}{n}]$ is finitely generated. Then construct an ascending chain of ideals of $k[\vect{x}{n}]$: $\mf{a}_0 = \ideal{0} \subseteq \mf{a}_1 = \ideal{f_1} \subseteq \mf{a}_2 = \ideal{f_1, f_2} \subseteq \cdots$. Eventually, one will get to $\mf{a}_n = \ideal{1} = \mf{a}_{n+1}$, and so $k[\vect{x}{n}]$ is Noetherian. \pend
	\item Assume that $V \subset W$. Then $\I(W) = \{f | \forall w \in W f(w) = 0\}$. As $V \subset W$, every $f \in \I(W)$ is also in $\I(V)$. So $\I(V) \supset \I(W)$. The converse follows from the contrapositive, and the same reasoning. Hence $V \subset W \IFF \I(V) \supset \I(W)$. \\
	If $V = W$, then $V \subseteq W$ and $W \subseteq V$. Applying the above result twice gets $\I(V) \subseteq \I(W)$ and $\I(W) \subseteq \I(V)$, and hence $\I(V) = \I(W)$. \\
	Let $V_1 \supseteq V_2 \supseteq \cdots$ be a descending chain of affine varieties. Replace each $V_i$ with $\I(V_i)$ and, using the previous results, one gets $I_1 \subseteq I_2 \subseteq \cdots$, which is an ascending chain of ideals of $k[\vect{x}{n}]$. As this ring is Noetherian, there exists some $N \in \mbb{N}$ such that $I_N = I_n$ for all $n \geq N$. Applying the previous results again, this means that $V_N = V_n$ for all $n \geq N$. \pend
	\item By the previous question, every descending chain of varieties is stationary. The chain $\V(f_1) \supseteq \V(f_1, f_2) \supseteq \cdots$ is a descending chain and so there exists some $N$ such that $\V(\vect{f}{N}) = \V(\vect{f}{n})$ for all $n \geq N$. In particular, when $n = \infty$, $\V(\vect{f}{N}) = \V(f_1, f_2, \dots)$. \pend
	\item Assume that $q$ and $r$ are not unique. Then $f = qg + r = q'g + r'$. Subtracting, one gets $g(q - q') = r' - r$. As both $r$ and $r'$ have a smaller degree than $g$, the degree of $r' - r$ must also be smaller than the degree of $g$. The only way this works is for $q - q'$ to have no degree, so $q - q' = 0$ and hence $q = q'$, so $r = r'$ and the quotient and the remainder are unique.
	\item Let $g = \textrm{{\sc gcd}}(f_1, f_2)$. Let $f \in \ideal{f_1, f_2}$. Then $f = \alpha f_1 + \beta f_2$. But $f_1 = \gamma g$ and $f_2 = \delta g$. So \begin{align*}
		f &= \alpha f_1 + \beta f_2 \\
		&= \alpha (\gamma g) + \beta (\delta g) \\
		&= (\alpha \gamma) g + (\beta \delta) g \\
		&= g(\alpha \gamma + \beta \delta) \\
		&\in \ideal{g}
	\end{align*}
	Now let $f \in \ideal{g}$. Then $f = \varepsilon g$. Let $\varepsilon = \alpha \gamma + \beta \delta$, and proceed as before, just in the opposite direction. So $f \in \ideal{f_1, f_2}$ and therefore \ideal{g} = \ideal{f_1, f_2}. \pend
	\item Doing this by hand will be horrible, so I chucked it into Sage. \begin{align*}
		f_1 &= x(x - 1)(x - 2)(x^2 + x + 1) \\
		f_2 &= (x + 1)(x - 1)^2(x^2 + x + 1)^2 \\
		f_3 &= x(x - 2)(x^2 - x + 1)(x^2 + x + 1)		
	\end{align*}
	Therefore {\sc gcd}($f_1$, $f_2$, $f_3$) = ($x^2 + x + 1$).
	\item \begin{enumerate}
		\item[\ltr] Assume that $f \in \ideal{\vect{f}{s}}$. Then $f = \sum \alpha_if_i = \sum \alpha_i\beta_ig$, where $\beta_ig = f_i$ (which is fine as $g = \textrm{{\sc gcd}}(\vect{f}{s})$). So $f = (\sum \alpha_i\beta_i)g$, so $f \rTo^g$$_+\ 0$.
		\item[\rtl] Assume that $f \rTo^g$$_+\ 0$. Then $f = \alpha g$. As $g = \textrm{{\sc gcd}}(\vect{f}{s})$, $f = \sum \beta_if_i$, so $f \in \ideal{\vect{f}{s}}$. \pend
	\end{enumerate}
\end{enumerate}

\end{document}